Skip to main content
GET
/
v1
/
external-trackers
/
search
Search Wokus by (tracker name, value)
curl --request GET \
  --url https://clientapi.woku.app/v1/external-trackers/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://clientapi.woku.app/v1/external-trackers/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://clientapi.woku.app/v1/external-trackers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "_id": "507f1f77bcf86cd799439015",
      "companyId": "507f1f77bcf86cd799439012",
      "wokuId": "507f1f77bcf86cd799439011",
      "trackerId": "507f1f77bcf86cd799439014",
      "value": "TX-2026-00043",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 7,
  "page": 1,
  "limit": 20
}
{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}
{
"statusCode": 404,
"message": "External tracker not found",
"error": "Not Found"
}

Authorizations

Authorization
string
header
required

Company API key. Obtain this from your Woku dashboard under Settings > API Keys. The same key used for the v0 endpoints.

Query Parameters

name
string
required

External tracker name (e.g. trr).

value
string
required

Exact value to match.

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

Paginated list of matches

items
object[]
required
total
integer
required
Example:

7

page
integer
required
Example:

1

limit
integer
required
Example:

20